#
# spec file for package nessus-core (Version 2.0.7)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  glib glib-devel gtk gtk-devel libnasl libnet nessus-libraries nmap openssl openssl-devel tcpd update-desktop-files wget x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib fontconfig fontconfig-devel gcc gdbm gettext glib glib-devel gnome-filesystem gtk gtk-devel libnasl libnet libtool nessus-libraries nmap openssl-devel perl rpm tcpd update-desktop-files wget

Name:         nessus-core
%define localstatedir /var/lib
%define sharedstatedir /var
Version:      2.0.7
Release:      76
PreReq:       %insserv_prereq %fillup_prereq fileutils textutils
Requires:     wget
Requires:     nessus-libraries = %{version}
Requires:     libnasl = %{version}
Provides:     nessus
Obsoletes:    nessus
Autoreqprov:  on
Group:        Productivity/Networking/Security
License:      GPL, LGPL
URL:          http://www.nessus.org
Summary:      Powerful Security Scanner
Source0:      %{name}-%{version}.tar.bz2
Source1:      nessus-plugins-%{version}.tar.bz2
Source2:      post-%{version}-scripts.tar.bz2
Source3:      nessusd
Source4:      rmdups.pl
Source5:      nessus.desktop
Patch0:       %{name}-%{version}-lsb.diff
Patch1:       %{name}-%{version}-destdir.diff
Patch2:       %{name}-%{version}-type.diff
Patch3:       %{name}-%{version}-tmpdir.diff
Patch10:      nessus-plugins-%{version}-libtool.diff
Patch11:      nessus-plugins-%{version}-prototypes.diff
Patch12:      nessus-plugins-%{version}-type.diff
Patch13:      nessus-plugins-%{version}-uninitialized.diff
Patch14:      nessus-plugins-%{version}-aliasing.diff
Patch15:      nessus-plugins-%{version}-return.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Powerful security scanner. The scanner consists of a daemon nessusd to
be started on a machine close to the one to be tested and a graphical
frontend nessus, which can be run on a different machine and connect to
this daemon. You can do various security checks (currently more than
900) then and get a report of possible weaknesses or vulnerabilities
which were found on the target host.



Authors:
--------
    Renaud Deraison <deraison@nessus.org>
    Jordan Hryca <jordan@mjh.teddy-net.com>
    and others

%prep
%setup -q -b0 -b1 -b2 -c
cd nessus-core
%patch0
%patch1
%patch2
%patch3
cd ../nessus-plugins
%patch10
%patch11
%patch12
%patch13
%patch14
%patch15

%build
export PATH="$RPM_BUILD_ROOT%{_bindir}:$PATH"
export C_INCLUDE_PATH="$RPM_BUILD_ROOT%{_includedir}/nessus:$C_INCLUDE_PATH"
%{suse_update_config -f nessus-core nessus-plugins}
cd nessus-core
libtoolize --force
aclocal -I /opt/gnome/share/aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS -Wall -Wno-unused" \
	./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--localstatedir=%{localstatedir} \
	--sharedstatedir=%{sharedstatedir} \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} \
	--enable-gtk \
	--enable-shared \
	--enable-libwrap \
	--enable-syslog
make %{?jobs:-j%jobs}
make %{?jobs:-j%jobs} install DESTDIR=$RPM_BUILD_ROOT
#
# nessus-plugins
#
cd ../nessus-plugins
libtoolize --force
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS -Wall -Wno-unused" \
	./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--localstatedir=%{localstatedir} \
	--sharedstatedir=%{sharedstatedir} \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir}
make
make install DESTDIR=$RPM_BUILD_ROOT

%install
install -d -m700 $RPM_BUILD_ROOT%{_sysconfdir}/nessus
install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -d -m755 $RPM_BUILD_ROOT%{_sbindir}
install -d -m755 $RPM_BUILD_ROOT/var/log
install -m600 /dev/null $RPM_BUILD_ROOT%{_sysconfdir}/nessus/nessusd.conf
install -m644 /dev/null $RPM_BUILD_ROOT%{_sysconfdir}/nessus/nessusd.rules
install -m750 $RPM_SOURCE_DIR/nessusd $RPM_BUILD_ROOT%{_sysconfdir}/init.d/nessusd
ln -sf ../..%{_sysconfdir}/init.d/nessusd $RPM_BUILD_ROOT%{_sbindir}/rcnessusd
cd post-scripts
for name in *
	do install -m 0444 $name $RPM_BUILD_ROOT/%{_libdir}/nessus/plugins/
done
%suse_update_desktop_file -i nessus Network Monitor

%post
%{fillup_and_insserv nessusd}
ln -sf %{localstatedir}/nessus/logs/nessusd.messages /var/log/nessusd.messages
if [ "$1" = "2" ]; then
	for file in /etc/nessus/nessusd.conf; do
		if test -e $file ; then
			mv $file $file.rpmsave
			sed "s@var/nessus@var/lib/nessus@g" $file.rpmsave >$file
		fi
	done
	mkdir -p var/adm/notify/messages
	cat >var/adm/notify/messages/nessus_update << _END_
Dear sysadmin,
Congratulations to your update to nessus-%{version}!
If you had an old configuration file /etc/nessus/nessusd.conf, 
it might not be appropriate any more.
Please consult the documentation in /usr/share/doc/packages/nessus/, 
and in particular the file UPGRADE_README.
The nessusd can now be automatically started by the system startup
scripts. If you want this, call 'insserv /etc/init.d/nessusd'
But, please configure nessusd before doing so.
Yours,
	SuSE Security Team
_END_
fi
exit 0

%postun
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#
# nessus-core
#
%dir %{_sysconfdir}/nessus
%config %{_sysconfdir}/init.d/nessusd
%config(noreplace) %ghost %{_sysconfdir}/nessus/nessusd.conf
%config(noreplace) %ghost %{_sysconfdir}/nessus/nessusd.rules
%doc nessus-core/README_SSL nessus-core/TODO nessus-core/INSTALL
%doc nessus-core/CHANGES nessus-core/UPGRADE_README
%doc nessus-core/doc/unbsp.c
%doc nessus-core/doc/nsr.dtd
%doc nessus-core/doc/*.txt
%doc nessus-core/doc/WARNING*
%doc nessus-core/doc/ntp
%doc %{_mandir}/man?/*
%{localstatedir}/nessus
%{_includedir}/nessus/*
%{_bindir}/*
%{_sbindir}/*
/usr/share/applications/*.desktop
#
# nessus-plugins
#
%doc nessus-plugins/docs/plugins_api.txt
#%doc %{_mandir}/man1/nessus-build.1.gz
#%doc %{_mandir}/man8/nessus-update-plugins.8.gz
%{_libdir}/nessus/
#%{localstatedir}/nessus/nmap-os-fingerprints
#%{_bindir}/nessus-build
#%{_sbindir}/nessus-update-plugins

%changelog -n nessus-core
* Thu Aug 19 2004 - mjancar@suse.cz
- fix race condition caused by unset $TMPDIR (#43771)
* Sat Aug 16 2003 - adrian@suse.de
- add desktop file
* Thu Aug 14 2003 - mjancar@suse.cz
- 64bit cleanups
- update post scripts
* Thu Jul 31 2003 - mjancar@suse.cz
- update to 2.0.7
- update post-scripts
* Thu Jul 31 2003 - ro@suse.de
- provide and obsolete old nessus package
* Wed Jul 30 2003 - ro@suse.de
- added libnasl to neededforbuild
* Tue Jul 29 2003 - mjancar@suse.cz
- split to nessus-core and nessus-libraries
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Sun Jun 29 2003 - coolo@suse.de
- link against correct libtool file
* Sat Jun 28 2003 - coolo@suse.de
- don't leave buildroot in the libraries
* Wed Jun 11 2003 - mjancar@suse.cz
- update to 2.0.6a
  * Fixed various issues which could allow a NASL script
  to crash the NASL interpretor and execute arbitrary code
- update post-scripts
- use buildroot
- cleanup the spec
- rewrite rmdups to remove by id and revision
* Tue Mar 25 2003 - vbobek@suse.cz
- updated to version 2.0.1
  * minor bugfixes
  * improved performance
  * libnasl has been rewritten
  * extended NASL language
  * enhanced service detection
  * smarter plugin scheduler
  * greatly reduced memory usage
- removed obsolete patch changing the rights of .nes plugins
- fixed misspelling in nessusd
- shortened lhs patch
- shortened libnasl patch
- added patch fixing misspellings in hydra.c
* Fri Feb 28 2003 - vbobek@suse.cz
- fixed sharedstatedir in spec
* Wed Feb 19 2003 - vbobek@suse.cz
- better fixed switching from /var/nessus to /var/lib/nessus
* Fri Feb 14 2003 - ro@suse.de
- /var/nessus -> /var/lib/nessus
* Fri Jan 17 2003 - postadal@suse.cz
- updated to version 1.2.7
  * support for BID
  * find_service now detects services protected by TCP wrappers or ACL and
  detects gnuserv
* Wed Oct 23 2002 - jderfina@suse.cz
- fixed dangling symlink /var/log/nessusd.messages. (#21066)
* Fri Aug 16 2002 - postadal@suse.cz
- added %%insserv_prereq, %%fillup_prereq, fileutils, textutils
  to PreReq [#17924]
* Fri Aug 16 2002 - ro@suse.de
- a directory needs a x-bit ...
* Mon Aug 12 2002 - garloff@suse.de
- Update post-1.2.3 plugins.
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Fri Jul 12 2002 - garloff@suse.de
- Update post-1.2.3 scripts.
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Wed Jul 03 2002 - garloff@suse.de
- Apply libtool --force and autoconf to make it build
- Make sure RPM_OPT_FLAGS get passed all the way down
- post-1.2.3 plugins
- Update to nessus-1.2.3
- Update to nessus-1.2: (major changes as compared to 1.0.x)
  * Security checks are run in parallel ;
  * Full SSL support ;
  * "safe checks" option (makes nessusd rely on a banner rather than
  take the risk to disable the remote service) ;
  * "optimisations" option (make nessusd run "focused" tests (ie:
  IIS-specific tests on IIS, and so on...)
  * Better CGI auditing ;
  * IDS evasion options ;
  * KB saving support (can be used for off-line security audits) ;
  * Session saving support ;
  * Differential scans ;
  * New reports file formats ;
  * Tuned security checks (for better performance) ;
  * More configurable ;
  * Improved SMB support (Nessus can log into a domain, and extracts more
  information from the tested hosts).
  * Scales __much__ better ;
  * Kazillions of bugs fixed ;
  * And more !
* Sat Mar 23 2002 - garloff@suse.de
- Add %%dir /etc/nessus to %%file list
- Latest post-1.0.10 scripts (adds apachae_ssl_overflow test)
* Sun Mar 17 2002 - garloff@suse.de
- Update post-1.0.10 scripts
  (including checks for vulnerabilities in (open)ssh)
* Mon Mar 04 2002 - garloff@suse.de
- Fix packaging error of post-1.0.10 scripts.
* Mon Mar 04 2002 - garloff@suse.de
- Update the post-1.0.10 scripts.
* Fri Mar 01 2002 - pthomas@suse.de
- Fix small typo in mail sent after installation and slightly
  change the wording.
* Wed Feb 13 2002 - garloff@suse.de
- Add %%defattr(-,root,root) to %%file list
- Updated post-1.0.10 scripts
* Tue Feb 12 2002 - kukuk@suse.de
- Use correct tar option
* Fri Feb 08 2002 - draht@suse.de
- added nessus-libraries-1.0.10-zlib-zfree.dif against duplicate
  free() in zlib. Play safe: by default, the source finds its own.
* Tue Jan 29 2002 - garloff@suse.de
- libpeks: 64bit fixes
- libpcap-nessus: use libdir in install target
- spec file: set libdir to %%{_libdir}
* Mon Jan 14 2002 - garloff@suse.de
- Update to 1.0.10:
  * Minor fixes & backported plugin changes from 1.1.x tree.
- Latest post-1.0.10 scripts.
* Mon Jan 14 2002 - ro@suse.de
- removed START_NESSUSD
* Tue Jan 08 2002 - egmont@suselinux.hu
- changed foo -> nessusd in init script
* Thu Aug 30 2001 - garloff@suse.de
- Update to 1.0.9:
  * bugfixes: deadlock in peks and client crahs on excessively
  long plugin lists.
  * increase login timeout and Linux recv() handling
- post-1.0.9 scripts as of 2001-08-30
* Mon Aug 13 2001 - ro@suse.de
- fixed to build with current autoconf
* Thu Aug 09 2001 - ro@suse.de
- use libpcap instead of (dropped) libpcapn
* Fri Jul 13 2001 - garloff@suse.de
- Update to 1.0.8.
- Add post-1.0.8 scripts.
* Wed Jun 06 2001 - garloff@suse.de
- Fix aclocal problem (triggered by new autotools)
- Final post-1.0.7a scripts.
* Fri May 11 2001 - garloff@suse.de
- bzip2 sources.
- Another post-1.0.7a script update.
* Tue May 08 2001 - garloff@suse.de
- Update post-1.0.7a scripts.
* Mon Apr 30 2001 - garloff@suse.de
- Update post-1.0.7.a scripts.
* Thu Apr 12 2001 - ro@suse.de
- fix usage for version macro (again)
* Thu Apr 12 2001 - garloff@suse.de
- Add xf86 to neededforbuild
* Wed Apr 11 2001 - garloff@suse.de
- Update post-1.0.7a scripts:
  Scripts for NTP, Lion, MySQL, Kerberos, ProFTPD, Domino,
  PHP_IMAP, IIS, Oracle, ... vulnerabilities.
* Mon Feb 12 2001 - garloff@suse.de
- Refuse to start if no user accounts have been created yet.
* Mon Feb 12 2001 - garloff@suse.de
- The GMP hack seems to be not needed any longer ;-)
* Mon Feb 12 2001 - garloff@suse.de
- Update to nessus - 1.0.7a:
  * HTTP virtual hosts, configurable per-plugin timeout, stop
  detached scans, improved XML output
  * Issues with cipher layer addressed
  * listen on IANA assigned port 1241 additionally to 3001
  (3001 will be discarded in future)
- post-1.0.7a scripts from 2001-02-12
- Fixed typo in startup script (#6301)
* Mon Jan 15 2001 - garloff@suse.de
- Another post-1.0.6 scripts update.
* Fri Jan 12 2001 - garloff@suse.de
- Update post-1.0.6 scripts to latest status.
* Thu Jan 04 2001 - garloff@suse.de
- Updated post-1.0.6 scripts.
* Tue Dec 19 2000 - garloff@suse.de
- Updated post-1.0.6 scripts.
- Marked init.d script as %%config
* Thu Dec 07 2000 - garloff@suse.de
- Updated post-1.0.6 scripts.
* Tue Nov 28 2000 - garloff@suse.de
- Move init.d script to /etc/init.d/
- Move rcnessusd to /usr/sbin/
- Updated post-1.0.6 scripts.
* Wed Nov 22 2000 - garloff@suse.de
- More init.d script fixes.
- BuildRoot is not used. (Never has been successfully.)
* Wed Nov 22 2000 - garloff@suse.de
- New SuSE LSB-compliant init.d script.
* Tue Nov 21 2000 - garloff@suse.de
- Update to 1.0.6, featuring diff scans as well as constant
  background scans with email notification
- Use BuildRoot
- Use system gmp library rather than the one supplied with nessus
* Sun Nov 05 2000 - egger@suse.de
- Fixed #neededforbuild for long packagenames.
* Mon Sep 11 2000 - garloff@suse.de
- Added gmp to Requires:
* Mon Jul 10 2000 - garloff@suse.de
- Update to 1.0.3 saves applying all the 1.0.2 bugfixes manually.
* Sat Jul 08 2000 - garloff@suse.de
- Finally patched nessus-libraries/libpeks/gmp3/configure to work
  around crazy ideas about what the target CPU might be and thereby
  fixed PPro optimization problem.
* Sat Jul 08 2000 - garloff@suse.de
- Update to 1.0.2, including the official patches (nasl-1.0.2.1,
  nessus-core-patch, snmp_default_communities.nasl)
* Wed Jun 21 2000 - garloff@suse.de
- Added startup script and rc.config entry
- Write e-mail to root about configuration file risks on upgrade
  and try to save old config file
* Wed Jun 21 2000 - garloff@suse.de
- Strip binaries
- Upgrade to 1.0.1
- Added libpcapn to build requirements
- Create symlink libpeksmp.so -> libgmp.so
* Tue Apr 18 2000 - garloff@suse.de
- Created %%ghost files for /var/log/ and the /etc/nessus/ files.
* Mon Apr 17 2000 - garloff@suse.de
- Patched libpeks to use $HOME if necessary (#2734)
- Moved log to /var/log/
* Thu Apr 13 2000 - garloff@suse.de
- Added /etc/nessus dir and
- set --sysconfdir=/etc (#2734)
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
* Mon Feb 21 2000 - garloff@suse.de
- Update to 0.99.5-2.
- Move manpages to %%{_mandir}
* Sat Oct 23 1999 - garloff@suse.de
- Initial release 0.98.3 (0.99.0)
- Patch to nessus-libraries: Correct peks include path
