#!/usr/bin/perl -w

# Script to remove plugins that are already in the
# standard plugins collection
# (c) Kurt Garloff <garloff@suse.de>, BSD license
# (c) Marian Jancar <mjancar@suse.cz>
#
# deletes latest plugins that are not newer than current 
# usage: rmdups.pl <dir with latest plugins> <dir with old plugins>

opendir(D1, $ARGV[0]);
opendir(D2, $ARGV[1]);
@d1 = grep { /.*\.(nasl|inc)$/ } readdir(D1);
@d2 = grep { /.*\.(nasl|inc)$/ } readdir(D2);
closedir(D1);
closedir(D2);

foreach $i (@d2) {
	$r = 0;
	$id = 0;
	
	if(open(F, "$ARGV[1]/$i")) {
		while((($r == 0) || ($id == 0)) && ($line = <F>)) {
			if($line =~ /.*\$Revision:\s+(\d+)\.(\d+).*/) {
				$r = $1 * 1000 + $2;
			} elsif($line =~ /.*script_id\s*\((\d+)\)/) {
				$id = $1;
			}
		}
		close(F);
		
		if(($r > 0) && ($id > 0)) {
			$h{$id} = $r;
		}
	}
}

foreach $i (@d1) {
	$r = 0;
	$id = 0;
	
	if(open(F, "$ARGV[0]/$i")) {
		while((($r == 0) || ($id == 0)) && ($line = <F>)) {
			if($line =~ /.*\$Revision:\s+(\d+)\.(\d+).*/) {
				$r = $1 * 1000 + $2;
			} elsif($line =~ /.*script_id\s*\((\d+)\)/) {
				$id = $1;
			}
		}
		close(F);
		
		if(($h{$id}) && ($h{$id} >= $r) && ($r > 0)) {
			print("$i old: $r ->$h{$id}\n");
			unlink("$ARGV[0]/$i");
		}
	}
}
